# SDaiWrap

### Description

Action that deposits dai into sDai.

### Action ID

`0xf7fc13f2`

### SDK Action

```ts
const sDaiWrapAction = new dfs.actions.basic.SDaiWrapAction(
    amount,
    from,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param amount - Amount of dai to deposit
    /// @param from - Address from which the tokens will be pulled
    /// @param to - Address that will receive the sDai
    struct Params {
        uint256 amount;
        address from;
        address to;
    }
```

### Return Value

```solidity
return bytes32(shares);
```

### Events and Logs

```solidity
emit ActionEvent("SDaiWrap", logData);
logger.logActionDirectEvent("SDaiWrap", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/sdaiwrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
